Skip to main content
`Ctrl`+`K`

# MatISSetLocalMatType

Specifies the type of local matrix inside the `MATIS`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISSetLocalMatType(Mat mat, MatType mtype)

Logically Collective.

## Input Parameters

- mat - the matrix

- mtype - the local matrix type

## See Also

Matrices, `Mat`, `MATIS`, `MatSetType()`, `MatType`

## Level

intermediate

## Location

src/mat/impls/is/matis.c

## Implementations

MatISSetLocalMatType_IS() in src/mat/impls/is/matis.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages